The DerbyDialect dialect has been deprecated; use one of the version-specific dialects instead

Document ID : KB000014740
Last Modified Date : 14/02/2018
Show Technical Document Details
Question:

Why does this WARN message appear in the Enterprise Dashboard log file?

WARN org.hibernate.dialect.DerbyDialect - HHH000430: The DerbyDialect dialect has been deprecated; use one of the version-specific dialects instead 

Environment:
DevTest 10.0 DevTest 10.1
Answer:

This WARN message happens when the Enterprise Dashboard is configured with Apache Derby.

Apache Derby is provided as an out-of-the-box database so that you have a functioning system as you prepare to move to the enterprise database solution for your organization. Derby is not supported as an enterprise database solution - Database Administration.

This warning doesn't happen when DevTest components are configured with an external database - External Enterprise Dashboard Database Configuration and External Registry Database Configuration.